Package org.eclipse.jgit.errors

## Class CompoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jgit.errors.CompoundException

All Implemented Interfaces:
  `Serializable`

    public class CompoundException
    extends Exception

An exception detailing multiple reasons for failure.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`CompoundException​(Collection<Throwable> why)` Constructs an exception detailing many potential reasons for failure.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Throwable>` `getAllCauses()` Get the complete list of reasons why this failure happened.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CompoundException

    public CompoundException​(Collection<Throwable> why)

Constructs an exception detailing many potential reasons for failure.

Parameters:
  `why` - Two or more exceptions that may have been the problem.

### Method Detail

#### getAllCauses

    public List<Throwable> getAllCauses()

Get the complete list of reasons why this failure happened.

Returns:
  unmodifiable collection of all possible reasons.